<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xet-09 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif" class="bg"><tr><td valign="top">
<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
	<TR><TD height="7" style="background-image: url('images/tbg.gif'); background-repeat: repeat-x;"><div style="width:770px; height:1px;"><spacer type="block" width="770" height="1"/></div></TD></TR>
	<TR>
		<TD height="88" style="padding: 0 20px 0 20px;">
			<table cellpadding="0" cellspacing="0" border="0" height="88">
				<tr>
					<td>
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- /LOGO -->
					</td>
					<td>
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td width="30"></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="30"></td>
							</tr>
						</table>	
						<!-- /MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td width="16"><div style="width:16px; height:1px;"><spacer type="block" width="16" height="1"/></div></td>
					<td width="15" height="100%" style="background-image: url('images/bg_l.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" height="100%" width="15" style="background-image: url('images/bg_bl.gif'); background-position: bottom; background-repeat: no-repeat;">
							<tr><td style="background-image: url('images/bg_tl.gif'); background-repeat: no-repeat; background-position: top left;"></td></tr>
						</table>
					</td>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr><td height="52" style="background-image: url('images/bg_t.gif'); background-repeat: repeat-x;"></td></tr>
							<tr>
								<td height="100%">
									<table cellpadding="0" cellspacing="0" border="0" class="bg" width="100%" height="100%">
										<tr>
											<td width="100%" valign="top" class="pageContent" style="padding-left: 5px;">
												<!-- CONTENT -->
													<font class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></font><br/><br/>
													<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- /CONTENT -->
											</td>
											<td width="21" style="background-image: url('images/vline.gif'); background-repeat: repeat-y;"><div style="width:21px; height:1px;"><spacer type="block" width="21" height="1"/></div></td>
											<td width="338" valign="bottom">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="335">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
													<tr><td colspan="2" height="10"></td></tr>
												</table>	
												<!-- /SUBMENU -->
												<img src="images/header.jpg" width="338" height="215" border="0"/></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td height="53" align="right" style="background-image: url('images/bg_b.gif'); background-repeat: repeat-x;"><img src="images/bg_br.jpg" border="0"/></td></tr>
						</table>
					</td>
					<td width="15" height="100%" style="background-image: url('images/bg_r.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" height="100%" width="15" style="background-image: url('images/bg_br.gif'); background-position: bottom; background-repeat: no-repeat;">
							<tr><td style="background-image: url('images/bg_tr.gif'); background-position: top right; background-repeat: no-repeat;"></td></tr>
						</table>
					</td>
					<td width="17" style="background-image: url('images/r.gif'); background-position: bottom; background-repeat: no-repeat;"><div style="width:17px; height:1px;"><spacer type="block" width="17" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="97" style="background-image: url('images/footer_bg.gif'); background-position: bottom; background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="97" style="background-image: url('images/footer_lbg.gif'); background-position: bottom left; background-repeat: no-repeat;">
				<tr>
					<td align="center" valign="top" class="footer" style="background-image: url('images/footer_rbg.gif'); background-position: bottom right; background-repeat: no-repeat; padding-top: 20px;">
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		


	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px; background-image: url('images/submenu_item_bg.gif'); background-position: center right; background-repeat: no-repeat;" height="30" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px; background-image: url('images/submenu_item_bg.gif'); background-position: center right; background-repeat: no-repeat;" height="30" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#BBB8A7"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td class="bottommenuitemactive"><a href="{@HREF}" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td class="bottommenuitem"><a href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  			<td class="bottommenudivider"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
