<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xet-10 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD colspan="2" height="100" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
            <table cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
                <tr>
                    <td width="266" style="padding: 5px;">
                		<!-- LOGO -->
  						<table cellpadding="0" cellspacing="0" align="center">
  							<tr>
  								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
  								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
  							</tr>
  							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
  						</table>
                		<!-- END LOGO -->
                    </td>
                    <td>
                		<!-- MENU -->
              			<table cellpadding="0" cellspacing="0" align="center">
              				<tr>
              					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                <xsl:call-template name="TOP-MENU"/>
              					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
              				</tr>
              			</table>
                		<!-- END MENU -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR valign="top">
		<TD height="100%" class="lbg">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 270px; height: 100%;">
                <tr>
                    <td height="140" class="bg" style="background-image: url('images/submenu_bg.gif');">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
                            <tr>
                                <td valign="top" style="padding: 20px 34px; background-image: url('images/submenu_bbg.gif'); background-position: bottom left; background-repeat: no-repeat;">
                            		<!-- SUBMENU -->
                          			<table cellpadding="0" cellspacing="0" width="200">
                                        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                                        <tr><td colspan="2" height="10"><div class="submenu-hr" style="height:1px;"><span></span></div></td></tr>
                          			</table>
                            		<!-- END SUBMENU -->
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr><td height="100%"></td></tr>
                <tr><td><img src="images/lbg_b.jpg" border="0" alt=""/></td></tr>
            </table>
		</TD>
		<TD width="100%" name="SB_stretch" class="bg">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td height="140" style="background-image: url('images/header_bg.gif');">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td><img src="images/header_l.gif" border="0" alt=""/></td>
                                <td width="100%" align="center" valign="bottom"><img src="images/header.jpg" border="0" alt=""/></td>
                                <td><img src="images/header_r.gif" border="0" alt=""/></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td height="100%" style="background-image: url('images/bg_b.gif'); background-position: bottom; background-repeat: repeat-x;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_l.gif'); background-repeat: repeat-y;">
                            <tr>
                                <td style="background-image: url('images/bg_r.gif'); background-position: right; background-repeat: repeat-y;">
                                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_bl.gif'); background-position: bottom left; background-repeat: no-repeat;">
                                        <tr>
                                            <td style="background-image: url('images/bg_br.jpg'); background-position: bottom right; background-repeat: no-repeat;">
                                                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                                                    <tr>
                                                        <td height="100%" valign="top" style="padding: 15px 155px 140px 20px;">
                                                            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 264px;">
                                                                <tr>
                                                                    <td valign="top" class="pageContent">
                                                                		<!-- CONTENT -->
                                                                		<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
                                                                		<div style="width:0px; height:15px;"><span></span></div>
                                                                		<xsl:apply-templates select="PAGE-CONTENT"/>
                                                                		<!-- END CONTENT -->
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td height="35" valign="top" align="right" style="padding-right: 20px;">
                                                    		<!-- FOOTER -->
                                                            <span align="left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
                                                    		<!-- END FOOTER -->
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td><img src="images/submenu_abullet.gif" border="0" alt=""/></td>
    			<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    			<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="10"><div class="submenu-hr" style="height:1px;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
