<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xet-16 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		<style>
			img { behavior:url('images/pngbehavior.htc'); }
		</style>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" bgcolor="#666666" background="images/main_bg.gif">
	<tr>
		<td style="background-image: url('images/mbg_t.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/mbg_l.gif'); background-repeat: repeat-y;">
				<tr>
					<td style="background-image: url('images/mbg_r.gif'); background-position: right; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/mbg_b.gif'); background-position: bottom; background-repeat: repeat-x;">
							<tr>
								<td style="background-image: url('images/mbg_tl.gif'); background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/mbg_tr.gif'); background-position: top right; background-repeat: no-repeat;">
										<tr>
											<td style="background-image: url('images/mbg_bl.gif'); background-position: bottom left; background-repeat: no-repeat;">
												<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/mbg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
													<tr>
														<td valign="top" style="padding: 0 30px 50px 30px;">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
	<tr>
		<td height="120">
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td>
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>						
						<!-- /LOGO -->
					</td>
					<td><div style="width:20px; height:1px;"><spacer type="block" width="20" height="1"/></div></td>
					<td>
					<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="right">
							<tr>
								
								<td width="10"></td>					
								<td><div class="menu-separator" style="width:1px; height:50px;"><spacer type="block" width="1" height="50"/></div></td>
								<td width="10"></td>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
					<!-- END MENU -->
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="79">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="79">
				<tr>
					<td><img src="images/top_l.gif" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/top_bg.gif'); background-repeat: repeat-x;"></td>
					<td><img src="images/top_r.gif" border="0" alt=""/></td>
				</tr>				
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td style="background-image: url('images/lbg.gif'); background-position: bottom right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="145" height="100%">
							<tr>
								<td valign="top" background="images/bg.jpg">
									<table cellpadding="0" cellspacing="0" border="0" width="145" height="136" style="background-image: url('images/submenu_bbg.gif'); background-position: bottom; background-repeat: no-repeat;">
										<tr>
											<td valign="top">
											<!-- SUBMENU -->
											<table cellpadding="0" cellspacing="0" width="125" align="center">
												<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
											</table>	
											<!-- /SUBMENU -->
											<div style="width:1px; height:50px;"><spacer type="block" width="1" height="50"/></div>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td height="100%" valign="bottom"><img src="images/visual.png" width="145" height="407" border="0" alt=""/></td></tr>
						</table>
					</td>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" height="100%" width="100%">
							<tr>
								<td height="100%" background="images/bg.jpg">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_l.jpg'); background-position: bottom left; background-repeat: no-repeat;">
										<tr>
											<td height="100%" valign="top" class="pageContent" style="padding: 0 90px 0 90px;">
												<!-- CONTENT -->		
												<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- /CONTENT -->
											</td>
											<td><div style="width:1px; height:100%;"><spacer type="block" width="1" height="100%"/></div></td>
										</tr>
										<tr><td class="footer" style="padding: 20px 90px 20px 90px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
									</table>
								</td>
							</tr>
							<tr><td><img src="images/bbg.gif" border="0" alt=""/></td></tr>
						</table>
					</td>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="116" height="100%">
							<tr>
								<td height="100%" style="background-image: url('images/rbg.gif'); background-repeat: repeat-y;">
									<table cellpadding="0" cellspacing="0" border="0" width="116" height="100%" style="background-image: url('images/rbg_b.gif'); background-position: bottom; background-repeat: no-repeat;">
										<tr><td style="background-image: url('images/rbg_t.gif'); background-repeat: no-repeat;"><div style="width:1px; height:100%;"><spacer type="block" width="1" height="100%"/></div></td></tr>
									</table>
								</td>
							</tr>
							<tr><td height="30"></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>														
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>													
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>	
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" class="submenu-hr"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
