<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-18 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif">
	<tr>
		<td style="padding: 0px 15px 130px 35px;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr><td height="70"></td></tr>
				<tr>
					<td height="60">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
								<td style="padding: 0px 10px;">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom" align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top" align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>				
									<!-- END LOGO -->				
								</td>
								<td width="100%">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
											
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				
				<tr>
					<td height="578" class="bg" style="background-image: url('images/bg_l.jpg'); background-position: left; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_r.jpg'); background-position: right; background-repeat: repeat-y;">
							<tr>
								<td style="background-image: url('images/bg_t.jpg'); background-position: top left; background-repeat: repeat-x;">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_b.jpg'); background-position: bottom; background-repeat: repeat-x;">
										<tr>
											<td style="background-image: url('images/bg_tl.jpg'); background-position: top left; background-repeat: no-repeat;">
												<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
													<tr>
														<td style="background-image: url('images/bg_bl.jpg'); background-position: bottom left; background-repeat: no-repeat;">
															<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_br.jpg'); background-position: bottom right; background-repeat: no-repeat;">
																<tr>
																	<td valign="top" style="padding: 180px 0px 240px 0px;">
																		<!-- SUBMENU -->
																		<table cellpadding="0" cellspacing="0" width="160" align="center">
																			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																		</table>	
																		<!-- END SUBMENU -->
																		<div style="width:238px; height:1px;"><spacer type="block" width="238" height="1"/></div>
																	</td>
																	<td width="100%" valign="top" class="pageContent" style="padding: 284px 120px 10px 30px;">
																		<!-- CONTENT -->																		
																		<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
																		<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
																		<xsl:apply-templates select="PAGE-CONTENT"/>
																		<!-- END CONTENT -->																	
																	</td>
																</tr>
																<tr><td colspan="2" height="80" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
						<div style="width:728px; height:0px;"><spacer type="block" width="728" height="0"/></div>
					</td>
				</tr>
				
				<tr><td></td></tr>
			</table>		
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
														
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td bgcolor="#FFB400" style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td bgcolor="#FFB400" align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_abullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="2" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
