<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xfil-02 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="324" valign="top" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="324" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td height="100%" style="padding-left: 50px;">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0">
							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
					</td>
				</tr>
				<tr>
					<td height="75" style="padding-left: 370px;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>			
								<xsl:call-template name="TOP-MENU"/>							
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
				<tr>
					<td height="54">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="54">
							<tr>
								<td class="text-header" style="padding-left: 256px;">
									<div style="width:211px; height:1px;"><spacer type="block" width="211" height="1"/></div>
									<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
								</td>
								<td width="100%" bgcolor="White"></td>
								<td><img src="images/txtheader_bg.gif" border="0" alt=""/></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td valign="bottom" style="background-image: url('images/bg_lt.gif'); background-repeat: no-repeat;"><img src="images/bg_lb.gif" border="0" alt="" width="58"/></td>
					<td valign="top">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="131">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>	
						<!-- END SUBMENU -->
					</td>
					<td valign="bottom"><img src="images/bg_m.gif" width="61" border="0" alt=""/></td>
					<td valign="top" width="100%" class="pageContent" style="padding-right: 12px; background-image: url('images/bg.jpg'); background-position: top right; background-repeat: no-repeat;">
						<!-- CONTENT -->
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="125" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="125" style="background-image: url('images/footer_l.gif'); background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/footer_r.gif'); background-position: top right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="125">
							<tr><td height="38"></td></tr>
							<tr>
								<td height="47">
									<!-- BOTTOM MENU -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>
											<td width="30"></td>
											<xsl:call-template name="BOTTOM-MENU"/>
											<td width="30"></td>									
										</tr>
									</table>
									<!-- END BOOTTOM MENU -->		
								</td>
							</tr>
							<tr><td height="100%" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px" height="30" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="30" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<div class="secondmenudivider"><spacer /></div>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
											
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}"><img src="images/bmenu_abullet.gif" border="0"/></a></td>
			<td width="5"></td>
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0"/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
