<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xww-02 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="278" class="color-bg" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
				<tr>
					<td width="100%" valign="top">
						<table cellpadding="0" cellspacing="0" border="0" style="height: 91px;">
							<tr>
								<td>
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                            <xsl:call-template name="TOP-MENU"/>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
					<td style="padding-bottom: 58px;">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
						<div style="width:240px; height:0px;"><span></span></div>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="28"></TD></TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg.gif'); background-repeat: repeat-x;">
				<tr valign="top">
					<td>
               			<table cellpadding="0" cellspacing="0" width="167" align="center" class="color-bg">
							<tr><td><img src="images/submenu_t.gif" border="0" alt=""/></td></tr>
							<!-- SUBMENU -->
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
							<!-- END SUBMENU -->
							<tr><td><img src="images/submenu_b.gif" border="0" alt=""/></td></tr>
               			</table>
						<div style="width:219px; height:0px;"><span></span></div>
					</td>
					<td width="100%">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0" class="txtheader-bg">
							<tr>
								<td><img src="images/txtheader_l.gif" border="0" alt=""/></td>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>:</td>
								<td><img src="images/txtheader_r.gif" border="0" alt=""/></td>
							</tr>
						</table>
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<tr>
								<td class="pageContent" style="padding: 15px 45px 15px 15px;">
                                	<xsl:apply-templates select="PAGE-CONTENT"/>
								</td>
							</tr>
						</table>
						<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="1" bgcolor="#E6E7E9"></TD></TR>
	<TR>
		<TD height="33">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
					<xsl:call-template name="BOTTOM-MENU"/>
					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
				</tr>
			</table>
		<!-- END BOOTTOM MENU -->
		</TD>
	</TR>
	<TR><TD height="1" bgcolor="#E6E7E9"></TD></TR>
	<TR>
		<TD height="70" align="center" class="footer">
		<!-- FOOTER -->
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td height="31" style="padding-left: 24px; background-image: url('images/submenu_bg.gif'); background-position: bottom center; background-repeat: no-repeat;">
					<table cellpadding="0" cellspacing="0" border="0">
						<tr>
							<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
							<td class="asubmenu" style="padding: 0 5px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
						</tr>
					</table>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td height="31" style="padding-left: 24px; background-image: url('images/submenu_bg.gif'); background-position: bottom center; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
								<td style="padding: 0 5px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
							</tr>
						</table>
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<div class="secondmenudivider"><spacer /></div>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
